Start a legacy subscription checkout (internal) Deprecated

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /payments/checkout

Legacy subscription model, replaced by POST /billing/plan. Creates a Stripe Checkout session for the given price, with an optional promotion code, creating the organization's Stripe customer first when needed, and returns its url. Requires an org admin, owner or billing role; returns 409 when the organization is billed per case.

Headers

  • organization string Required

    id of the selected (active) organization

application/json

Body Required

  • priceId string Required
  • cancelUrl string Required
  • successUrl string Required
  • couponId string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attribute Show data attribute object
      • url string Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /payments/checkout
curl \
 --request POST 'http://api.example.com/payments/checkout' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "priceId": "string",
  "cancelUrl": "string",
  "successUrl": "string",
  "couponId": "string"
}'
Request examples
# Headers
organization: string

# Payload
{
  "priceId": "string",
  "cancelUrl": "string",
  "successUrl": "string",
  "couponId": "string"
}
Response examples (200)
{
  "data": {
    "url": "https://checkout.stripe.com/c/pay/cs_test_a1Example"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}